Bug 15460 - Unclear how non-auto width cell in first row determines column width in fixed table layout
Summary: Unclear how non-auto width cell in first row determines column width in fixed...
Status: NEW
Alias: None
Product: CSS
Classification: Unclassified
Component: CSS Level 2 (show other bugs)
Version: unspecified
Hardware: All Windows 3.1
: P2 normal
Target Milestone: ---
Assignee: Bert Bos
QA Contact: public-css-bugzilla
URL:
Whiteboard:
Keywords:
: 14473 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-01-08 21:07 UTC by Anton P
Modified: 2012-12-04 00:52 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton P 2012-01-08 21:07:19 UTC
Reported by Boris Zbarsky.

17.5.2.1 (http://www.w3.org/TR/CSS2/tables.html#fixed-table-layout) says:

  # A column element with a value other than 'auto' for the 'width'
  # property sets the width for that column.
  #
  # Otherwise, a cell in the first row with a value other than 'auto' for
  # the 'width' property determines the width for that column. If the
  # cell spans more than one column, the width is divided over the
  # columns.

There is poor interop for how the cell determines the column width.

Boris proposes something like:

  | Otherwise a cell in the first row with a value other than 'auto' for
  | the width property determines the width for that column as follows:
  |
  | * In the collapsed border model, the width is the width of the cell
  |   plus its left and right padding and half the left and right borders.
  | * In the separated border model, the with is the width of the cell
  |   plus its left and right padding and left and right borders.

but notes that there are issues here with percentage paddings and with 
whether the borders used are before or after conflict resolution in the 
collapsed border model.

Conversation begins: http://lists.w3.org/Archives/Public/www-style/2011Apr/0743.html

Bug description: http://lists.w3.org/Archives/Public/www-style/2011Apr/0743.html

Proposal: http://lists.w3.org/Archives/Public/www-style/2011Oct/0503.html
Comment 1 Anton P 2012-01-08 21:07:50 UTC
Test suite tests: http://lists.w3.org/Archives/Public/www-style/2011Oct/0546.html
Comment 2 Gérard Talbot 2012-01-09 16:21:49 UTC
> Test suite tests:
> http://lists.w3.org/Archives/Public/www-style/2011Oct/0546.html

That page is still good and ok. The 52 submitted tests in the test suite are accessible at

http://test.csswg.org/suites/css2.1/nightly-unstable/html4/chapter-17.html#s17.5.2.1

and they start with

fixed-table-layout-003a01 :
http://test.csswg.org/suites/css2.1/nightly-unstable/html4/fixed-table-layout-003a01.htm

and the last one is

fixed-table-layout-003f08
http://test.csswg.org/suites/css2.1/nightly-unstable/html4/fixed-table-layout-003f08.htm

Gérard
Comment 3 Gérard Talbot 2012-01-12 03:37:00 UTC
This bug report seems to be a DUPLICATE of
Bug 14473 - column-sizing algorithm forgets to include padding and borders
Comment 4 Anton P 2012-01-15 20:09:02 UTC
Similar bug: Bug 15577 (Border vagueness in definition of table width in fixed table layout) where a similar consideration regarding the difference between
collapsed border model and separated border model applies.
Comment 5 Anton P 2012-01-15 20:14:31 UTC
*** Bug 14473 has been marked as a duplicate of this bug. ***
Comment 6 Anton P 2012-05-21 12:12:28 UTC
Bug 17134 concerns what seems to be the analogous issue for how cells determine the row height for non-auto-height table rows.